searchNodes=[{"type":"module","title":"Gamco","doc":"Documentation for Gamco .","ref":"Gamco.html"},{"type":"module","title":"Gamco.Component","doc":"","ref":"Gamco.Component.html"},{"type":"function","title":"Gamco.Component.javascript_tags/1","doc":"Attributes nonce ( :string ) - Defaults to nil .","ref":"Gamco.Component.html#javascript_tags/1"},{"type":"function","title":"Gamco.Component.tag/1","doc":"Attributes nonce ( :string ) - Defaults to nil .","ref":"Gamco.Component.html#tag/1"},{"type":"module","title":"Gamco.Secure","doc":"This module provides the default function to secure any sensitive information in order to be send to GA.","ref":"Gamco.Secure.html"},{"type":"function","title":"Gamco.Secure.call/1","doc":"This function hashes the value passed as argument using md5 hexadecimal and downcases the resulting string. Examples iex&gt; Gamco.Secure . call ( &quot;foo&quot; ) &quot;acbd18db4cc2f85cedef654fccc4a4d8&quot;","ref":"Gamco.Secure.html#call/1"},{"type":"extras","title":"Changelog","doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html"},{"type":"extras","title":"Changelog - v0.1.0","doc":"Initial version of Google Analytics wrapper.","ref":"changelog.html#v0-1-0"},{"type":"extras","title":"Contributing to Gamco","doc":"","ref":"contributing.html"},{"type":"extras","title":"Contributing to Gamco - Pull Requests Welcome","doc":"Fork gamco Create a topic branch Make logically-grouped commits with clear commit messages Push commits to your fork Open a pull request against gamco/main","ref":"contributing.html#pull-requests-welcome"},{"type":"extras","title":"Contributing to Gamco - Issues","doc":"If you believe there to be a bug, please provide the maintainers with enough detail to reproduce or a link to an app exhibiting unexpected behavior. For help, please start with Stack Overflow.","ref":"contributing.html#issues"},{"type":"extras","title":"Gamco","doc":"This library aims to provide a wrapper around Google Analytics v4. It offers some useful helpers to send data to GA.","ref":"readme.html"},{"type":"extras","title":"Gamco - Installation","doc":"Add gamco to your list of dependencies in mix.exs : def deps do [ { :gamco , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation"},{"type":"extras","title":"Gamco - Configuration","doc":"Provide a TAG_ID in your configuration file: # config/config.exs config :my_app , MyAppWeb.Gamco , tag_id : &quot;G-XXXXXXXXX&quot; , active : false And activate it in your config/production.exs # config/prod.exs config :my_app , MyAppWeb.Gamco , active : true You can set up multiple tag_id in different environments if you need it. Just add the tag_id in the proper config file.","ref":"readme.html#configuration"},{"type":"extras","title":"Gamco - Usage","doc":"Add a MyAppWeb.Gamco module as the following example: # lib/my_app_web/gamco.ex defmodule MyAppWeb.Gamco do use Gamco , otp_app : :my_app end Then import the Gamco module inside your phoenix view or component depending on what you are using. Example: # lib/my_app_web/views/layout_view.ex defmodule MyAppWeb.LayoutView do import MyAppWeb.Gamco ... end Usually you'll want to add your Google Analytics script immediately after the &lt;head&gt; tag in your html template. # lib/my_app_web/templates/layout/root.html.heex &lt; ! DOCTYPE html &gt; &lt; html lang = &quot;en&quot; &gt; &lt; head &gt; &lt; % = ga_javascript_tags ( ) % &gt; ... &lt; / head &gt; ... &lt; / html &gt; This will send the default page_view event every time the user navigates to a different path in your application. You can pass other dimensions if you want to collect extra data. Example: # lib/my_app_web/templates/layout/root.html.heex &lt; ! DOCTYPE html &gt; &lt; html lang = &quot;en&quot; &gt; &lt; head &gt; &lt; % = ga_javascript_tags ( extra_data : &quot;FooBar&quot; ) % &gt; ... &lt; / head &gt; ... &lt; / html &gt;","ref":"readme.html#usage"},{"type":"extras","title":"Gamco - Custom events","doc":"Also, you can send custom messages to Google Analytics per page or when needed by using the ga_tag helper as the following example: # lib/my_app_web/templates/product/show.html.heex &lt; % = ga_tag ( &quot;event&quot; , &quot;product_view&quot; , product_id : @product . id ) % &gt;","ref":"readme.html#custom-events"},{"type":"extras","title":"Gamco - Secure data","doc":"There are sensitive information that you might not want to send directly to Google Analytics to prevent some vulnerabilities. You can achieve this by using the ga_secure helper which generates a digest for the passed value: # lib/my_app_web/templates/product/show.html.heex &lt; % = ga_tag ( &quot;event&quot; , &quot;product_view&quot; , user : ga_secure ( @conn . assigns . current_user . id ) , product_id : @product . id ) % &gt; By default the generated value is a MD5 digest. You can configure which secure module will be used in your config using secure_module option as the following: # config/config.exs config :my_app , MyAppWeb.Gamco , tag_id : &quot;G-XXXXXXXXX&quot; , secure_module : MyAppWeb.Secure Then create your own secure module: # lib/my_app_web/secure.ex defmodule MyAppWeb.Secure do def call ( value ) do :crypto . hash ( :sha , value ) |&gt; Base . encode16 ( ) |&gt; String . downcase ( ) end end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/gamco .","ref":"readme.html#secure-data"}]